You are not logged in.

#1 2009-07-30 05:09:04

fukawi2
Forum Moderator
From: .vic.au
Registered: 2007-09-28
Posts: 5,545
Website

[SOLVED] error: could not open file /var/lib/pacman/local/qt-4.5.2-4/

Hi all,

So there I was, running pacman -Syu on all my Arch machines, and I get to my desktop PC at work, and half way through X decides to crash and kick me back to the CLI. Fair enough neutral

Now when I try and use pacman, I get a whole bunch of errors about a missing 'depends' directory:

root ~ # pacman -S amarok
resolving dependencies...
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
looking for inter-conflicts...
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory
error: could not open file /var/lib/pacman/local/qt-4.5.2-4/depends: No such file or directory

It still asks me to continue with installing the new package, but I'd rather get this fixed first in case it buggers it up worse hmm

Last edited by fukawi2 (2009-07-30 05:44:25)

Offline

#2 2009-07-30 05:11:43

Allan
Supreme Leader
From: Brisbane, AU
Registered: 2007-06-09
Posts: 10,748
Website

Re: [SOLVED] error: could not open file /var/lib/pacman/local/qt-4.5.2-4/

A "pacman -S qt" should be enough, maybe a "pacman -Sf qt".  It looks like that file never got written during the upgrade crash...

Online

#3 2009-07-30 05:44:03

fukawi2
Forum Moderator
From: .vic.au
Registered: 2007-09-28
Posts: 5,545
Website

Re: [SOLVED] error: could not open file /var/lib/pacman/local/qt-4.5.2-4/

Once again my saviour Allan -- I had to -Sf it due to file already existing, but seems to be good now smile

Offline

Board footer

Powered by FluxBB